C
C  doug.f - fortran program to be complied using gfortran in cygwin shell
C
C  usage: 
C
C  gfortran doug.f
C  ./a.exe
C


C
C subroutine to work out to try out subroutine calls
C
      SUBROUTINE doug2(k )
	do 10 j=1,20,2
          write(*,*) "sub: -- " ,j
10	continue

      RETURN

      END SUBROUTINE

      PROGRAM doug

C http://www.cs.mtu.edu/~shene/COURSES/cs201/NOTES/chap02/traps.html
! http://www.cs.mtu.edu/~shene/COURSES/cs201/NOTES/intro.html

        call doug2( 3 ) 
        write(*,*) "hello doug "
        write(*,*) "hello doug  make me an offer"
        write(*,*) "hello doug "

	do 20 j=1,20,2
          write(*,*) "--" ,j
20	continue

        call doug2( 3 ) 



      END PROGRAM doug
